Subject: Re: bug#50339: master creashed in compact_small_strings

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Sep 2021 00:41:37 -0700

Richard Stallman <[email-masked]> writes:

>   > > Alas, my machine crashed and that session was lost.
>
>   > Should this bug remain open, or does that preclude us making any further
>   > progress here?
>
> I can't do any further debugging on the process which crashed.
> So I can't contribute any further for the moment.
> Whether to close the ticket isup to you.
>
>   >   I can see that you discussed that this might have been
>   > caused by a hardware issue.
>
> That was just speculation, of course.  But I could not see how obeying
> the instructions in that code could have produced this result.
>
> Perhaps a bug in a signal handler could have done it.

OK, let's close it for now then, under the assumption that there is not
much we can do to make any progress here given that the session was
lost.

I suppose that our best chance to catch it, if it is indeed a bug in our
code, would be for someone to run into this crash again.  For better or
for worse.